2

My current QGIS installation (2.14) on OS X 10.11 is set up to work with GRASS 6.4.4. I am guessing this is the default GRASS version that comes preinstalled with the QGIS package maintained by William Kyngesburye.

However, I have GRASS 7.0 installed on my system (from Michael Barton's packages), and would like to set my QGIS to work with GRASS 7. In addition, I would like the GRASS plugin for QGIS to use GRASS 7. As you can see in the attached screenshot, the GRASS version the plugin is using is 6.4.4 (2014).

enter image description here

I tried to set the "Custom" installation path to my GRASS 7 installation, but the plugin tells me that particular GRASS installation is not valid.

P.S.: GRASS 7 and QGIS are working fine on my OS X 10.11 installation, as I have disabled SIP.

2
  1. For Processing, I give the answer in Bug report #14339: Mac OS X: GRASS GIS 7.0 correction

    The problem is in lines 257-259 of the file /Applications/QGIS.app/Contents/Resources/python/plugins/processing/algs/grass7/Grass7Utils.py

    if isMac() and os.path.exists(Grass7Utils.grassPath() + os.sep + 'grass70.sh'): command = Grass7Utils.grassPath() + os.sep + 'grass70.sh ' \ + Grass7Utils.grassMapsetFolder() + '/PERMANENT'

    and is in the GRASS version of M.Barton the file involved is

    /Applications/GRASS-7.0.app/Contents/MacOS/grass.sh

    So simply correct the script replacing grass70.sh by grass.sh

    if isMac() and os.path.exists(Grass7Utils.grassPath() + os.sep + '*grass.sh*'): command = Grass7Utils.grassPath() + os.sep + '*grass.sh* ' \ + Grass7Utils.grassMapsetFolder() + '/PERMANENT'

  2. For the plugin, it is another question that I have not yet looked for

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.